Bug 801623 - [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/fabceolin_40gmail_2ecom/TextChannel1': there is already a handler"
[abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:Ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:ba44a755273cccc96ab3a9cc87c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 21:26 EST by Fabrício José Vieira Ceolin
Modified: 2013-02-13 05:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrício José Vieira Ceolin 2012-03-08 21:26:27 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.7-1.fc16.i686
reason:         service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/fabceolin_40gmail_2ecom/TextChannel1': there is already a handler"
time:           Thu 08 Mar 2012 11:25:50 PM BRT
uid:            1000
username:       ceolin

backtrace:
:service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/fabceolin_40gmail_2ecom/TextChannel1': there is already a handler"
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 485, in handler_created
:    if self._dispatch("on_invite_conversation", handler) == 0:
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 432, in on_invite_conversation
:    signal=True, conversation=conversation)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 125, in channel_for_props
:    return self.create_channel_for_props(props, signal, **args)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 110, in create_channel_for_props
:    props, **args)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel_manager.py", line 119, in _get_text_channel
:    object_path=path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/im.py", line 40, in __init__
:    ButterflyTextChannel.__init__(self, conn, manager, conversation, props, object_path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/text.py", line 58, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 230, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 63, in __init__
:    _Channel.__init__(self, self._conn._name, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 480, in __init__
:    self.add_to_connection(conn, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 571, in add_to_connection
:    self._fallback)
:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/fabceolin_40gmail_2ecom/TextChannel1': there is already a handler"
:
:Local variables in innermost frame:
:path: '/org/freedesktop/Telepathy/Connection/butterfly/msn/fabceolin_40gmail_2ecom/TextChannel1'
:connection: <dbus._dbus.SessionBus (session) at 0x8d44aac>
:self: <butterfly.channel.im.ButterflyImChannel at 0x932cf0c>

smolt_data:
:
:
:General
:=================================
:UUID: 96225af3-aa9c-473c-b0f0-21e0d0d39767
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5985.95
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E6850  @ 3.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 3266
:System Swap: 4031
:Vendor: Dell Inc.
:System: OptiPlex 755 
:Form factor: Space-saving
:Kernel: 3.2.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:4136:529) pci, uhci_hcd, USB, Optiplex 755
:(32902:10674:4136:529) pci, i915, VIDEO, OptiPlex 755
:(32902:10675:4136:529) pci, None, VIDEO, OptiPlex 755
:(32902:10560:4136:529) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10516:0:0) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:10676:4136:529) pci, None, SIMPLE, OptiPlex 755
:(32902:10679:4136:529) pci, serial, 16550_SERIAL, OptiPlex 755
:(32902:10678:4136:529) pci, ata_generic, STORAGE, OptiPlex 755
:(32902:4285:4136:529) pci, e1000e, ETHERNET, OptiPlex 755
:(32902:10549:4136:529) pci, uhci_hcd, USB, Optiplex 755
:(32902:10544:4136:529) pci, i801_smbus, SERIAL, Optiplex 755
:(32902:9294:4136:529) pci, None, PCI/PCI, Optiplex 755
:(32902:10548:4136:529) pci, uhci_hcd, USB, Optiplex 755
:(32902:10551:4136:529) pci, uhci_hcd, USB, Optiplex 755
:(32902:10552:4136:529) pci, uhci_hcd, USB, Optiplex 755
:(32902:10672:4136:529) pci, agpgart-intel, HOST/PCI, OptiPlex 755
:(32902:10558:4136:529) pci, snd_hda_intel, MULTIMEDIA, Optiplex 755
:(32902:10530:4136:529) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10554:4136:529) pci, ehci_hcd, USB, Optiplex 755
:(32902:10556:4136:529) pci, ehci_hcd, USB, Optiplex 755
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 13092026 9706325 9575293 3276800 2979224 2979224
:/dev/sda2 /boot ext4 1024 1024 508745 412556 386956 128016 127781 127781
:/dev/mapper/vg_fedora-lv_home /home ext4 4096 4096 107705537 105457659 100066504 26959872 26944227 26944227
:
Comment 1 Fedora End Of Life 2013-01-16 06:09:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:18:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.